## cppo 0.9.0

=== Makefile ===
VERSION = 0.9.0

ifndef OCAMLYACC
  OCAMLYACC = ocamlyacc
  #OCAMLYACC = menhir
endif
export OCAMLYACC

ifndef PREFIX
  PREFIX = /usr/local
endif
export PREFIX

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
endif
export BINDIR

.PHONY: default all opt install clean

default: opt

# ML = cppo_types.ml cppo_parser.mli cppo_parser.ml cppo.ml
ML = cppo_version.ml cppo_types.ml \
     cppo_parser.mli cppo_parser.ml \
     cppo_lexer.ml \
     cppo_eval.ml cppo_main.ml

all: $(ML)
	ocamlc -o cppo -dtypes $(ML)

opt: $(ML)
	ocamlopt -o cppo -dtypes $(ML)

install:
	install -m 0755 cppo $(BINDIR) || \
		install -m 0755 cppo.exe $(BINDIR)

cppo_version.ml: Makefile
	echo 'let cppo_version = "$(VERSION)"' > cppo_version.ml


cppo_lexer.ml: cppo_lexer.mll cppo_types.ml cppo_parser.ml
	ocamllex cppo_lexer.mll


ifeq ($(DEV),true)
cppo_parser.mli cppo_parser.ml: cppo_parser.mly cppo_types.ml
	menhir -v cppo_parser.mly
else
cppo_parser.mli cppo_parser.ml: cppo_parser.mly cppo_types.ml
	$(OCAMLYACC) cppo_parser.mly
endif

clean:
	rm -f *.cm[iox] *.o *.annot *.conflicts *.automaton \
		cppo \
		cppo_parser.mli cppo_parser.ml cppo_lexer.ml cppo_version.ml

SUBDIRS = testdata examples
SVNURL = svn://svn.forge.ocamlcore.org/svnroot/cppo/trunk/cppo

archive:
	@echo "Making archive for version $(VERSION)"
	@if [ -z "$$WWW" ]; then \
		echo '*** Environment variable WWW is undefined ***' >&2; \
		exit 1; \
	fi
	@if [ -n "$$(svn status -q)" ]; then \
		echo "*** There are uncommitted changes, aborting. ***" >&2; \
		exit 1; \
	fi
	$(MAKE) && ./cppo -help > $$WWW/cppo-help.txt
	rm -rf /tmp/cppo /tmp/cppo-$(VERSION) && \
	 	cd /tmp && \
		svn co "$(SVNURL)" && \
		for x in "." $(SUBDIRS); do \
			rm -rf /tmp/cppo/$$x/.svn; \
		done && \
		cd /tmp && cp -r cppo cppo-$(VERSION) && \
		tar czf cppo.tar.gz cppo && \
		tar cjf cppo.tar.bz2 cppo && \
		tar czf cppo-$(VERSION).tar.gz cppo-$(VERSION) && \
		tar cjf cppo-$(VERSION).tar.bz2 cppo-$(VERSION)
	mv /tmp/cppo.tar.gz /tmp/cppo.tar.bz2 ../releases
	mv /tmp/cppo-$(VERSION).tar.gz /tmp/cppo-$(VERSION).tar.bz2 ../releases
	cp ../releases/cppo.tar.gz $$WWW/
	cp ../releases/cppo.tar.bz2 $$WWW/
	cp ../releases/cppo-$(VERSION).tar.gz $$WWW/
	cp ../releases/cppo-$(VERSION).tar.bz2 $$WWW/
	cd ../releases && \
		svn add cppo.tar.gz cppo.tar.bz2 \
			cppo-$(VERSION).tar.gz cppo-$(VERSION).tar.bz2 && \
		svn commit -m "cppo version $(VERSION)"
	cp LICENSE $$WWW/cppo-license.txt
	cp Changes $$WWW/cppo-changes.txt
	echo 'let cppo_version = "$(VERSION)"' \
		> $$WWW/cppo-version.ml

=== debian/changelog ===
cppo (0.9.0-2) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.0 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 18 Apr 2011 09:00:19 +0200

cppo (0.9.0-1) unstable; urgency=low

  * Initial release. (Closes: #605677)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 04 Dec 2010 23:03:03 +0100

=== debian/control ===
Source: cppo
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Sylvain Le Gall <gildor@debian.org>
Build-Depends:
  ocaml-nox (>= 3.11.1-3~),
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://martin.jambon.free.fr/cppo.html
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/cppo.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/cppo.git

Package: cppo
Architecture: all
Depends: ${ocaml:Depends}, ${misc:Depends}
Description: cpp for OCaml 
 Cppo is an OCaml-friendly implementation of cpp, the C preprocessor.
 It can replace camlp4 for preprocessing OCaml files, using cpp style and
 syntax. It allows defining simple macros and file inclusion.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/cppo

include /usr/share/ocaml/ocamlvars.mk

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(MAKE) all

.PHONY: override_dh_auto_install
override_dh_auto_install:
	make install 'BINDIR=$(DESTDIR)/usr/bin'

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean

debian/cppo.1: debian/cppo.mkd
	  pandoc -s -w man $^ -o $@

## cppo 0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.0
+VERSION = 0.9.2
 
 ifndef OCAMLYACC
   OCAMLYACC = ocamlyacc
@@ -16,21 +16,21 @@
 endif
 export BINDIR
 
-.PHONY: default all opt install clean
+.PHONY: default all opt install clean test
 
 default: opt
 
-# ML = cppo_types.ml cppo_parser.mli cppo_parser.ml cppo.ml
 ML = cppo_version.ml cppo_types.ml \
      cppo_parser.mli cppo_parser.ml \
      cppo_lexer.ml \
+     cppo_command.ml \
      cppo_eval.ml cppo_main.ml
 
 all: $(ML)
-	ocamlc -o cppo -dtypes $(ML)
+	ocamlc -o cppo -dtypes unix.cma $(ML)
 
 opt: $(ML)
-	ocamlopt -o cppo -dtypes $(ML)
+	ocamlopt -o cppo -dtypes unix.cmxa $(ML)
 
 install:
 	install -m 0755 cppo $(BINDIR) || \
@@ -52,13 +52,17 @@
 	$(OCAMLYACC) cppo_parser.mly
 endif
 
+test:
+	cd testdata; $(MAKE)
+
 clean:
 	rm -f *.cm[iox] *.o *.annot *.conflicts *.automaton \
 		cppo \
 		cppo_parser.mli cppo_parser.ml cppo_lexer.ml cppo_version.ml
+	cd examples; $(MAKE) clean
 
 SUBDIRS = testdata examples
-SVNURL = svn://svn.forge.ocamlcore.org/svnroot/cppo/trunk/cppo
+SVNURL = svn+ssh://mjambon@svn.forge.ocamlcore.org/svnroot/cppo/trunk/cppo
 
 archive:
 	@echo "Making archive for version $(VERSION)"
@@ -92,6 +96,7 @@
 		svn add cppo.tar.gz cppo.tar.bz2 \
 			cppo-$(VERSION).tar.gz cppo-$(VERSION).tar.bz2 && \
 		svn commit -m "cppo version $(VERSION)"
+	cp README $$WWW/cppo-manual-$(VERSION).txt
 	cp LICENSE $$WWW/cppo-license.txt
 	cp Changes $$WWW/cppo-changes.txt
 	echo 'let cppo_version = "$(VERSION)"' \

=== debian/changelog ===
cppo (0.9.2-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:40:37 +0000

cppo (0.9.2-1) unstable; urgency=low

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 07:09:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/ocaml/ocamlvars.mk
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:

=== debian/watch ===
version=3
http://martin.jambon.free.fr/cppo.html cppo-([\d\.]*)\.tar\.gz

## cppo 0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.2
+VERSION = 0.9.3
 
 ifndef OCAMLYACC
   OCAMLYACC = ocamlyacc

=== testdata/Makefile ===
.PHONY: all ext

all: ext
	../cppo -x rot13:"tr '[a-z]' '[n-za-m]'" \
		-x source:"./source.sh '%F' %B %E" \
		ext.cppo > ext.out
	diff -u ext.ref ext.out

=== debian/changelog ===
cppo (0.9.3-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:08:21 +0100

cppo (0.9.3-2) experimental; urgency=low

  * Team upload
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 08:54:16 +0200

cppo (0.9.3-1) unstable; urgency=low

  [ Sylvain Le Gall]
  * Remove Sylvain Le Gall from uploaders

  [ Hendrik Tews ]
  * update watch file (thanks to Bart Martens)
  * bump standards version and debhelper compat level
  * update homepage
  * update Vcs fields
  * change to architecture any (Closes: 664200)
  * update dependencies
  * fix copyright
  * add myself as uploader
  * update man page

 -- Hendrik Tews <hendrik@askra.de>  Sun, 02 Jun 2013 23:12:27 +0200

=== debian/control ===
Source: cppo
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Hendrik Tews <hendrik@askra.de>
Build-Depends:
  ocaml-nox (>= 4),
  ocaml-findlib (>= 1.4),
  dh-ocaml (>= 0.9~),
  debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://mjambon.com/cppo.html
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cppo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cppo.git

Package: cppo
Architecture: any
Depends:
 ${ocaml:Depends}, 
 ${shlibs:Depends},
 ${misc:Depends}
Description: cpp for OCaml
 Cppo is an OCaml-friendly implementation of cpp, the C preprocessor.
 It can replace camlp4 for preprocessing OCaml files, using cpp style and
 syntax. It allows defining simple macros and file inclusion.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/cppo

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_build
override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) opt
else
	$(MAKE) all
endif 

.PHONY: override_dh_auto_install
override_dh_auto_install:
	make install 'BINDIR=$(DESTDIR)/usr/bin'

=== debian/watch ===
version=3
http://mjambon.com/releases/cppo/cppo-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## cppo 1.1.2

=== Makefile ===
VERSION = 1.1.2

ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
EXE=.exe
else
EXE=
endif

ifndef OCAMLYACC
  OCAMLYACC = ocamlyacc
  #OCAMLYACC = menhir
endif
export OCAMLYACC

ifndef PREFIX
  PREFIX = /usr/local
endif
export PREFIX

ifndef BINDIR
  BINDIR = $(PREFIX)/bin
endif
export BINDIR



BEST := opt
NATDYNLINK ?= $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then \
                        echo YES; \
                      else \
                        echo NO; \
                      fi)

OCAMLBUILD_IMPL := ocamlbuild_cppo.cma

ifeq "${BEST}" "opt"
OCAMLBUILD_IMPL += ocamlbuild_cppo.cmxa ocamlbuild_cppo.a
ifeq "${NATDYNLINK}" "YES"
OCAMLBUILD_IMPL += ocamlbuild_cppo.cmxs
endif
endif

OCAMLBUILD_INSTALL = ocamlbuild_plugin/_build/ocamlbuild_cppo.cmi \
                     $(addprefix ocamlbuild_plugin/_build/,$(OCAMLBUILD_IMPL))


.PHONY: default all opt toplib install clean test

default: opt ocamlbuild

ML = cppo_version.ml cppo_types.ml \
     cppo_parser.mli cppo_parser.ml \
     cppo_lexer.ml \
     cppo_command.ml \
     cppo_eval.ml cppo_main.ml

OCAMLBUILD_ML = ocamlbuild_cppo.ml

all: $(ML)
	ocamlc -o cppo$(EXE) -dtypes unix.cma str.cma $(ML)

opt: $(ML)
	ocamlopt -o cppo$(EXE) -dtypes unix.cmxa str.cmxa $(ML)

# For debugging; not installed.
toplib: $(ML)
	ocamlc -a -o cppo.cma -dtypes unix.cma str.cma $(ML)

ocamlbuild:
	cd ocamlbuild_plugin && ocamlbuild -use-ocamlfind $(OCAMLBUILD_IMPL)

install: install-bin install-lib

install-bin:
	install -m 0755 cppo $(BINDIR) || \
		install -m 0755 cppo.exe $(BINDIR)

install-lib:
	ocamlfind install -patch-version ${VERSION} "cppo_ocamlbuild" \
		META $(OCAMLBUILD_INSTALL)

cppo_version.ml: Makefile
	echo 'let cppo_version = "$(VERSION)"' > cppo_version.ml


cppo_lexer.ml: cppo_lexer.mll cppo_types.ml cppo_parser.ml
	ocamllex cppo_lexer.mll


ifeq ($(DEV),true)
cppo_parser.mli cppo_parser.ml: cppo_parser.mly cppo_types.ml
	menhir -v cppo_parser.mly
else
cppo_parser.mli cppo_parser.ml: cppo_parser.mly cppo_types.ml
	$(OCAMLYACC) cppo_parser.mly
endif

test:
	$(MAKE) -C test

clean:
	rm -f *.cm[iox] *.o *.annot *.conflicts *.automaton \
		cppo \
		cppo_parser.mli cppo_parser.ml cppo_lexer.ml cppo_version.ml
	$(MAKE) -C examples clean
	$(MAKE) -C test clean
	cd ocamlbuild_plugin; ocamlbuild -clean

=== test/Makefile ===
TESTS = ext comments cond tuple version
.PHONY: all clean $(TESTS)

all: $(TESTS)

ext:
	../cppo -x rot13:"tr '[a-z]' '[n-za-m]'" \
		-x source:"./source.sh '%F' %B %E" \
		ext.cppo > ext.out
	diff -u ext.ref ext.out

comments:
	../cppo comments.cppo > comments.out
	diff -u comments.ref comments.out

cond:
	../cppo cond.cppo > cond.out

tuple:
	../cppo tuple.cppo > tuple.out

version:
	../cppo -V X:123.05.2-alpha.1+foo-2.1 version.cppo > version.out

clean:
	rm -f *~ *.out

=== debian/changelog ===
cppo (1.1.2-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 02 Nov 2015 17:18:55 -0600

cppo (1.1.2-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Sep 2015 17:35:12 +0200

cppo (1.1.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.6

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Sep 2015 14:34:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
   debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://mjambon.com/cppo.html
 Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cppo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cppo.git

## cppo 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.1.2
+VERSION = 1.3.1
 
 ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
 EXE=.exe
@@ -24,7 +24,7 @@
 
 
 
-BEST := opt
+BEST = $(shell if ocamlopt 2>/dev/null; then echo .native; else echo .byte; fi)
 NATDYNLINK ?= $(shell if [ -f `ocamlc -where`/dynlink.cmxa ]; then \
                         echo YES; \
                       else \
@@ -33,7 +33,7 @@
 
 OCAMLBUILD_IMPL := ocamlbuild_cppo.cma
 
-ifeq "${BEST}" "opt"
+ifeq "${BEST}" ".native"
 OCAMLBUILD_IMPL += ocamlbuild_cppo.cmxa ocamlbuild_cppo.a
 ifeq "${NATDYNLINK}" "YES"
 OCAMLBUILD_IMPL += ocamlbuild_cppo.cmxs

=== test/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TESTS = ext comments cond tuple version
+TESTS = ext comments cond tuple paren_arg unmatched version
 .PHONY: all clean $(TESTS)
 
 all: $(TESTS)
@@ -15,9 +15,23 @@
 
 cond:
 	../cppo cond.cppo > cond.out
+	diff -u cond.ref cond.out
 
 tuple:
 	../cppo tuple.cppo > tuple.out
+	diff -u tuple.ref tuple.out
+
+loc:
+	../cppo loc.cppo > loc.out
+	diff -u loc.ref loc.out
+
+paren_arg:
+	../cppo paren_arg.cppo > paren_arg.out
+	diff -u paren_arg.ref paren_arg.out
+
+unmatched:
+	../cppo unmatched.cppo > unmatched.out
+	diff -u unmatched.ref unmatched.out
 
 version:
 	../cppo -V X:123.05.2-alpha.1+foo-2.1 version.cppo > version.out

=== debian/changelog ===
cppo (1.3.1-2) unstable; urgency=medium

  * Team upload
  * Install native libraries where available (Closes: #813885)

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Feb 2016 00:34:00 +0100

cppo (1.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Jan 2016 15:54:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
   debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: http://mjambon.com/cppo.html
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/cppo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/cppo.git
+Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/cppo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cppo.git
 
 Package: cppo
 Architecture: any

## cppo 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,14 @@
-VERSION = 1.3.1
+VERSION = 1.3.2
 
 ifeq "$(shell ocamlc -config |grep os_type)" "os_type: Win32"
 EXE=.exe
 else
 EXE=
 endif
+OBJ_EXT := $(shell ocamlc -config 2>/dev/null \
+                 | grep '^ext_obj'|sed 's/ext_obj: //')
+LIB_EXT := $(shell ocamlc -config 2>/dev/null \
+                 | grep '^ext_lib'|sed 's/ext_lib: //')
 
 ifndef OCAMLYACC
   OCAMLYACC = ocamlyacc
@@ -34,7 +38,7 @@
 OCAMLBUILD_IMPL := ocamlbuild_cppo.cma
 
 ifeq "${BEST}" ".native"
-OCAMLBUILD_IMPL += ocamlbuild_cppo.cmxa ocamlbuild_cppo.a
+OCAMLBUILD_IMPL += ocamlbuild_cppo.cmxa ocamlbuild_cppo$(LIB_EXT)
 ifeq "${NATDYNLINK}" "YES"
 OCAMLBUILD_IMPL += ocamlbuild_cppo.cmxs
 endif
@@ -99,7 +103,7 @@
 	$(MAKE) -C test
 
 clean:
-	rm -f *.cm[iox] *.o *.annot *.conflicts *.automaton \
+	rm -f *.cm[iox] *$(OBJ_EXT) *.annot *.conflicts *.automaton \
 		cppo \
 		cppo_parser.mli cppo_parser.ml cppo_lexer.ml cppo_version.ml
 	$(MAKE) -C examples clean

=== debian/changelog ===
cppo (1.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 3.9.8
  * Fix Vcs-Git

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Jun 2016 11:35:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
   debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://mjambon.com/cppo.html
-Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/cppo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cppo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cppo.git
 
 Package: cppo

## cppo 1.5.0

=== test/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-TESTS = ext comments cond tuple paren_arg unmatched version
+TESTS = ext comments cond tuple paren_arg unmatched version capital
 .PHONY: all clean $(TESTS)
 
 all: $(TESTS)
@@ -36,5 +36,8 @@
 version:
 	../cppo -V X:123.05.2-alpha.1+foo-2.1 version.cppo > version.out
 
+capital:
+	../cppo $@.cppo > $@.out
+	diff -u $@.ref $@.out
 clean:
 	rm -f *~ *.out

=== debian/changelog ===
cppo (1.5.0-2build2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 15:13:44 +0200

cppo (1.5.0-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:56:01 +0200

cppo (1.5.0-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 09:30:38 +0200

cppo (1.5.0-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Add ocamlbuild to Build-Depends

  [ Hendrik Tews ]
  * use githup page as homepage

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 14:02:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
   ocaml-nox (>= 4),
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
+  ocamlbuild,
   debhelper (>= 9)
 Standards-Version: 3.9.8
-Homepage: http://mjambon.com/cppo.html
+Homepage: https://github.com/mjambon/cppo
 Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cppo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cppo.git

=== debian/rules ===
--- 
+++ 
@@ -9,17 +9,21 @@
 
 include /usr/share/ocaml/ocamlvars.mk
 
+export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
+export OCAMLFIND_LDCONF=ignore
+
 %:
 	dh $@ --with ocaml
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-	$(MAKE) opt
+	$(MAKE) opt ocamlbuild
 else
-	$(MAKE) all
-endif 
+	$(MAKE) all ocamlbuild
+endif
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
+	mkdir -p $(OCAMLFIND_DESTDIR)
 	make install 'BINDIR=$(DESTDIR)/usr/bin'

## cppo 1.6.4

=== debian/changelog ===
cppo (1.6.4-3) unstable; urgency=medium

  * Stop relying on opam during build to avoid a build-dep loop

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 16 Oct 2018 08:52:55 +0200

cppo (1.6.4-2) unstable; urgency=medium

  * Team upload.
  * Fix issue on arm{el,hf} and ppc64el (Closes: #907431)
    - add patch 0001-Fix-typo-in-cppo-s-parser.patch from upstream

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 14 Sep 2018 07:26:53 +0200

cppo (1.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (2018-02-26)
    * Provides distinct cppo and cppo_ocamlbuild packages
      This is a breaking change.
    * Provides compatibility with OCaml 4.07
    * Remove obsolete Debian patches
    * Use the jbuilder build system.
      The dependency on `opam` is due to opam-installer

  * Move the packaging repository to salsa.debian.org
  * debian/copyright: Update Source URI
  * Bump Standards-Version to 4.1.5
    + debian/copyright: Use an HTTPS Format URI
  * Switch to debhelper 11
  * Detect files that failed to install with dh_missing

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sat, 04 Aug 2018 17:00:20 +0800

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
   ocaml-nox (>= 4),
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
-  ocamlbuild,
-  debhelper (>= 9)
-Standards-Version: 3.9.8
+  debhelper (>= 11),
+  jbuilder,
+  ocamlbuild
+Standards-Version: 4.1.5
 Homepage: https://github.com/mjambon/cppo
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/cppo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/cppo.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/cppo
 
 Package: cppo
 Architecture: any
 Depends:
- ${ocaml:Depends}, 
+ ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}
 Description: cpp for OCaml

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)/cppo_ocamlbuild
BUILD_PATH=_build/install/default/lib/cppo_ocamlbuild

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	for file in `find $(BUILD_PATH) -type l -printf "%P "`; do	\
	  mkdir -p $(OCAMLFIND_DESTDIR)/`dirname $$file`;		\
	  cp -L $(BUILD_PATH)/$$file $(OCAMLFIND_DESTDIR)/$$file;	\
	done
	mkdir -p $(DESTDIR)/usr/bin
	cp -L _build/install/default/bin/cppo $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/doc/cppo
	cp -L README.md $(DESTDIR)/usr/share/doc/cppo/README.md

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/mjambon/cppo/tags .*/v(.*)\.tar\.gz

## cppo 1.6.6

=== debian/changelog ===
cppo (1.6.6-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:43:17 +0000

cppo (1.6.6-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Remove Hendrik from Uploaders
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:43:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: cppo
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Hendrik Tews <hendrik@askra.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
   ocaml-nox (>= 4),
   ocaml-findlib (>= 1.4),
   dh-ocaml (>= 0.9~),
-  debhelper (>= 11),
-  jbuilder,
+  debhelper (>= 12),
+  dune,
   ocamlbuild
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Homepage: https://github.com/mjambon/cppo
 Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cppo

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)/cppo_ocamlbuild
BUILD_PATH=_build/install/default/lib/cppo_ocamlbuild

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/*/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

override_dh_dwz:

## cppo 1.6.8

=== debian/changelog ===
cppo (1.6.8-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:22:35 +0100

cppo (1.6.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch and Homepage

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 10:57:16 +0100

cppo (1.6.6-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Build-depend on ocaml-dune
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Sep 2020 11:31:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: cppo
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
   ocaml-nox (>= 4),
   ocaml-findlib (>= 1.4),
-  dh-ocaml (>= 0.9~),
-  debhelper (>= 12),
-  dune,
+  dh-ocaml,
+  debhelper-compat (= 13),
+  ocaml-dune,
   ocamlbuild
-Standards-Version: 4.4.0
-Homepage: https://github.com/mjambon/cppo
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Homepage: https://github.com/ocaml-community/cppo
 Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/cppo

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/*/LICENSE.md
-
-override_dh_missing:
-	dh_missing --fail-missing
-
-override_dh_dwz:

## cppo 1.6.9

=== Makefile ===
all:
	@dune build

test:
	@dune runtest

install:
	@dune install

uninstall:
	@dune uninstall

check: test

.PHONY: clean all check test install uninstall

clean:
	dune clean

=== debian/changelog ===
cppo (1.6.9-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 23:07:41 +0100

cppo (1.6.9-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 08:24:34 +0200

cppo (1.6.9-2) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune (Closes: #1041000)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2023 09:31:50 +0200

cppo (1.6.9-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 20 Jan 2023 12:46:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Build-Depends:
-  ocaml-nox (>= 4),
+  ocaml (>= 4),
   ocaml-findlib (>= 1.4),
-  dh-ocaml,
+  dh-ocaml (>= 1.2.2),
   debhelper-compat (= 13),
   ocaml-dune,
   ocamlbuild
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/cppo
 Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git

=== debian/watch ===
version=4
https://github.com/ocaml-community/cppo/tags .*/v(.*)\.tar\.gz

## cppo 1.7.0

=== debian/changelog ===
cppo (1.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Sep 2024 08:06:09 +0200

cppo (1.6.9-4) unstable; urgency=medium

  * Team upload
  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 05:13:52 +0200

## cppo 1.8.0

=== Makefile ===
.PHONY: all clean test check install uninstall release

all:
	@dune build

clean:
	@git clean -fX

test:
	@dune runtest

check: test

install:
	@dune install

uninstall:
	@dune uninstall

# To make a release:
# + check that [make test] succeeds
# + check that everything has been committed and pushed
# + check that the CI has succeeded
# + make sure that the package is not pinned: [opam pin remove cppo]
# + run [make release VERSION=X.Y.Z]

release:
# Check if this is the master branch.
	@ if [ "$$(git symbolic-ref --short HEAD)" != "master" ] ; then \
	  echo "Error: this is not the master branch." ; \
	  git branch ; \
	  exit 1 ; \
	fi
# Check if everything has been committed.
	@ if [ -n "$$(git status --porcelain)" ] ; then \
	    echo "Error: there remain uncommitted changes." ; \
	    git status ; \
	    exit 1 ; \
	  fi
# Make sure the current version can be compiled.
	@ make clean
	@ make test
# Check the current package description.
	@ opam lint
# Make sure $(VERSION) is nonempty.
	@ if [ -z "$(VERSION)" ] ; then \
	    echo "Error: please use: make release VERSION=X.Y.Z" ; \
	    exit 1 ; \
	  fi
# Make sure a CHANGES entry with the current version seems to exist.
	@ if ! grep "## v$(VERSION)" Changes.md >/dev/null ; then \
	    echo "Error: Changes.md has no entry for version $(VERSION)." ; \
	    exit 1 ; \
	  fi
# Make sure the current version is mentioned in dune-project.
	@ if ! grep "(version $(VERSION))" dune-project >/dev/null ; then \
	    echo "Error: dune-project does not mention version $(VERSION)." ; \
	    grep "(version" dune-project ; \
	    exit 1 ; \
	  fi
# Create a git tag.
	@ git tag v$(VERSION)
# Upload. (This automatically makes a .tar.gz archive available on github.)
	@ git push
	@ git push --tags
# Publish an opam description.
	@ opam publish --tag=v$(VERSION) -v $(VERSION) ocaml-community/cppo

=== debian/changelog ===
cppo (1.8.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:55:20 +0100

cppo (1.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 30 Dec 2024 10:35:03 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   debhelper-compat (= 13),
   ocaml-dune,
   ocamlbuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-community/cppo
 Vcs-Git: https://salsa.debian.org/ocaml-team/cppo.git
